<?php

/**
 * Created by PhpStorm.
 * User: wangchen
 * Date: 2019-05-07
 * Time: 14:48
 */

namespace App\Cache;


class CacheKeys
{
    /**
     * 所有key的管理配置
     * key规范：模块+功能+参数
     *
     * @var array
     */
    public static $all = [
        'lock'     => [
            'token' => 'Lock:%s', // 锁，token
        ],
        'push'     => [
            'user'    => 'Push:%s',
            'statsPv' => 'Push:pv:%s:%s',
            'statsUv' => 'Push:uv:%s:%s',
        ],
        'ad'       => [
            'position' => 'Ad:position'
        ],
        'activity' => [
            'statsPv' => 'Activity:pv:%s:%s',
            'statsUv' => 'Activity:uv:%s:%s',
        ]
    ];
}
