<?php


namespace App\Consts;


class PushConst
{
    /**
     * 推送APP 不可用
     */
    const APP_NOT_WORK = 0;

    /**
     * 推送APP 可用
     */
    const APP_WORKING = 1;

    /**
     * 用户标签 - 全部用户（针对华为设备）
     */
    const TOPIC_ALL = 'all';

    /**
     * 全量用户
     */
    const FILTER_ALL_USERS = 'all';

    /**
     * 华为服务商
     */
    const PROVIDER_HW = 'huawei';

    /**
     * 小米服务商
     */
    const PROVIDER_MI = 'xiaomi';

    /**
     * OPPO服务商
     */
    const PROVIDER_OPPO = 'oppo';

    /**
     * vivo服务商
     */
    const PROVIDER_VIVO = 'vivo';

    /**
     * 准备推送
     */
    const STATUS_TODO = 1;

    /**
     * 推送中
     */
    const STATUS_DOING = 2;

    /**
     * 推送成功
     */
    const STATUS_SUCCESS = 3;

    /**
     * 推送失败
     */
    const STATUS_FAIL = 4;

    /**
     * 推送终止
     */
    const STATUS_STOP = 5;

    /**
     * 已经针对任务筛选完了用户
     */
    const SELECT_USER_OK = 2;
}