<?php

namespace App\Modules\Statistic\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * CREATE TABLE `ad_visit_stats` (
 *   `id` int(11) NOT NULL AUTO_INCREMENT,
 *   `bid` int(11) NOT NULL,
 *   `uid` int(11) NOT NULL,
 *   `cid` int(11) NOT NULL,
 *   `type` char(10) NOT NULL COMMENT '类型,曝光，点击，解锁成功',
 *   `created_at` datetime NOT NULL,
 *   `updated_at` datetime NOT NULL,
 *   PRIMARY KEY (`id`)
 *   ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='广告访问统计';
 *
 */
class AdVisitStat extends Model
{
    protected $table = 'ad_visit_stats';
    protected $fillable = ['bid','uid','cid','type'];

    public function setCurrentTable($time=''){
        if($time){
            $this->setTable('ad_visit_stats'.$time);
        }else{
            $this->setTable('ad_visit_stats');
        }
    }
}
