<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta
            name="viewport"
            content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"
    />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>充值活动</title>
    <style>
        html,
        body {
            margin: 0 auto;
            padding: 0;
            max-width: 450px;
            font-size: 100px;
        }

        html {
            background: #ffe69d;
        }

        p {
            margin: 0;
        }

        .main_box {
            font-size: 0;
            position: relative;
        }

        .main_box img {
            width: 100%;
        }

        .time {
            font-size: 0.14rem;
            font-weight: bold;
            text-align: center;
            color: #fff;
        }

        .recharge-item {
            font-size: 0;
            width: 90%;
            margin: 0.3rem auto;
            position: absolute;
            top: 60%;
            left: 50%;
            transform: translateX(-50%);
        }

        .recharge_box_one {
            width: 95%;
            margin: 0 auto;
        }

        .rule-box {
            font-size: 0;
            margin: 0rem auto 0;
            text-align: center;
            position: relative;
            top: -0.25rem;
        }

        .rule-box img {
            width: 80%;
        }

        .rule-texts {
            font-size: 0.14rem;
            color: #000;
            margin-top: 0.1rem;
            text-align: left;
        }

        .rule-texts .rule {
            line-height: 2;
        }

        .rule-box .copyright {
            font-size: 0.15rem;
            margin-top: 0.15rem;
            text-align: center;
            color: #000;
        }

        .main_box img,
        a {
            -webkit-tap-highlight-color: transparent;
        }

        .recharge-box {
            font-size: 0;
            position: absolute;
            top: 41%;
            left: 50%;
            -webkit-transform: translateX(-50%);
            -ms-transform: translateX(-50%);
            transform: translateX(-50%);
        }

        .recharge-item .pay{
            display: block;

        }
        .nub {
            font-size: .28rem;
            font-weight: 800;
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%);
            color: #ff6600;
        }
    </style>
</head>

<body>
<main class="main_box">
    <img src="https://cdn-novel.iycdm.com/h5/activity-crm/bg.jpg" alt="" />
    <div class="nub">{{$fee}}书币</div>
    <div class="recharge-item">
        <div class="rule-box">
            <a href="{{$url}}" class="pay"><img src="{{$img}}" alt="" /></a>
        </div>
    </div>
</main>
</body>
</html>
