<!--?php
/**
 * Created by PhpStorm.
 * User: z-yang
 * Date: 2019/9/18
 * Time: 10:34
 */
-->
<!--
 * @Author: ZhengXiaowei
 * @Date: 2019-08-15 16:39:23
 * @LastEditors: ZhengXiaowei
 * @LastEditTime: 2019-09-03 14:15:51
 * @Description: 弹窗页
 -->
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta
            name="viewport"
            content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"
    />
    <link rel=icon type=image/png href="data:image/png;base64,iVBORw0KGgo=">
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <style>
        html,
        body,
        p {
            padding: 0;
            margin: 0;
        }

        html {
            font-size: 100px;
        }

        main {
            font-size: 0;
            position: relative;
        }

        main img {
            width: 100%;
        }

        main .month {
            position: absolute;
            top: 2%;
            left: 50%;
            -webkit-transform: translate(-50%, 0);
            transform: translate(-50%, 0);
            width: 60%;
        }

        main .qrcode-wrap {
            position: absolute;
            top: 51%;
            left: 50%;
            -webkit-transform: translate(-50%, 0);
            transform: translate(-50%, 0);
            width: 60%;
            font-size: 14px;
            font-weight: bold;
            color: #666;
            text-align: center;
        }

        main .qrcode-wrap img {
            width: 45%;
            height: 45%;
        }
    </style>
    <title>畅销小说榜</title>
</head>
<body>
<main>
    <img class="month" src="https://cdn-novel.iycdm.com/crm/guide/{{date('n')}}.png" alt="" />
    <img class="bg" src="https://cdn-novel.iycdm.com/crm/guide/bg.jpg" alt="" />
    <div class="qrcode-wrap">
        <img src="{{$img}}" alt="" class="qr-code" />
        <p>添加微信阅读管家 {{$name}}</p>
    </div>
</main>
</body>
<script>
    var doc = document;
    doc.body.addEventListener(
            "click",
            function() {
                var qrcodeTop = doc.querySelector(".qrcode-wrap");
                window.scrollTo(0, qrcodeTop.offsetTop);
            },
            false
    );
</script>
</html>
