<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>新年礼包</title>
  <style>
    html,
    body {
      margin: 0 auto;
      padding: 0;
      height: 100%;
      max-width: 450px;
    }

    .main_box {
      height: inherit;
      font-size: 0;
      position: relative;
    }

    .main_box img {
      height: inherit;
      width: 100%;
    }

    .recharge_box_one a,
    .recharge_box_two a {
      position: absolute;
      width: 60%;
      height: 35px;
      left: 50%;
      transform: translateX(-50%);
    }

    .recharge_box_one a {
      top: 53%;
    }

    .recharge_box_two a {
      bottom: 18%;
    }

    .d_none {
      display: none;
    }
  </style>
</head>

<body>
  <main class="main_box">
    <img src="https://yueduyun.oss-cn-hangzhou.aliyuncs.com/h5/spring_activity_bg.jpg" alt="">
    <div class="recharge_box_one">
      @if($code == 0)
        <!-- 活动进行中 -->
          <a href="{{$url['fifty']}}" class="beginning">
            <img src="https://yueduyun.oss-cn-hangzhou.aliyuncs.com/h5/spring_activity_beginning.png" alt="">
          </a>
      @elseif($code == 1)
        <!-- 活动未开始 -->
          <a href="javascript:void(0)" class="un_begin">
            <img src="https://yueduyun.oss-cn-hangzhou.aliyuncs.com/h5/spring_activity_unbegin.png" alt="">
          </a>
      @else
        <!-- 活动已结束 -->
          <a href="javascript:void(0)" class="over">
            <img src="https://yueduyun.oss-cn-hangzhou.aliyuncs.com/h5/spring_activity_over.png" alt="">
          </a>
      @endif
    </div>
    <div class="recharge_box_two">
    @if($code == 0)
      <!-- 活动进行中 -->
        <a href="{{$url['hundred']}}" class="beginning">
          <img src="https://yueduyun.oss-cn-hangzhou.aliyuncs.com/h5/spring_activity_beginning.png" alt="">
        </a>
    @elseif($code == 1)
      <!-- 活动未开始 -->
        <a href="javascript:void(0)" class="un_begin">
          <img src="https://yueduyun.oss-cn-hangzhou.aliyuncs.com/h5/spring_activity_unbegin.png" alt="">
        </a>
    @else
      <!-- 活动已结束 -->
        <a href="javascript:void(0)" class="over">
          <img src="https://yueduyun.oss-cn-hangzhou.aliyuncs.com/h5/spring_activity_over.png" alt="">
        </a>
      @endif
    </div>
  </main>
</body>

</html>