<!--
?php
**
 * Created by PhpStorm.
 * User: z-yang
 * Date: 2019/9/4
 * Time: 10:17
 *
-->
<!--
 * @Author: ZhengXiaowei
 * @Date: 2019-08-15 16:39:23
 * @LastEditors: ZhengXiaowei
 * @LastEditTime: 2019-09-03 15:30:12
 * @Description: 静态章节页
 -->
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta
            name="viewport"
            content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"
    />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <link rel=icon type=image/png href="data:image/png;base64,iVBORw0KGgo=">
    <style>
        html,
        body,
        p {
            margin: 0;
            padding: 0;
            user-select: none;
        }

        html {
            background: #e6e6e6;
        }

        .chapter-content {
            padding: 10px 20px;
        }

        .chapter-content .chapter-text {
            color: #1a1a1a;
            line-height: 1.8;
            text-indent: 2em;
            margin-bottom: 10px;
            font-size: 20px;
        }

        .next-chapter__btn {
            display: block;
            text-decoration: none;
            font-size: 14px;
            color: #1a1a1a;
            width: 80%;
            margin: 0 auto;
            border: 1px solid #666;
            text-align: center;
            background: #e6e6e6;
            border-radius: 4px;
            line-height: 40px;
            margin-bottom: 20px;
            -webkit-tap-highlight-color: transparent;
        }
        .next-chapter__btn a{
            text-decoration: none;
            color: #1a1a1a;
        }
    </style>
    <title>{{$name}}</title>
</head>
<body>
<main>
    <div class="chapter-content">
        @foreach($chapter_list as $item)
            <p class="chapter-text">
                {{$item}}
            </p>
        @endforeach
    </div>
    <a class="next-chapter__btn" href="{{$next_url}}">下一章</a>
</main>
</body>
</html>
